#!/bin/bash

# Need to run this script from its own directory instead of whichever directory it may be called from
#currentdir=$(cd `dirname "$0"` && pwd)
thisdir="`dirname \"$0\"`"
thisdir="`cd \"$thisdir\" && pwd`"
cd "$thisdir"
EXPEDITEE_HOME=$thisdir
export EXPEDITEE_HOME

if test "x$EXPEDITEE_OS" = "x" ; then
    EXPEDITEE_OS=`uname -s | tr 'ABCDEFGHIJKLMNOPQRSTUVWXYZ' 'abcdefghijklmnopqrstuvwxyz'`
    # check for running bash under cygwin
    if test "`echo $EXPEDITEE_OS | sed 's/cygwin//'`" != "$EXPEDITEE_OS" ;
    then
	EXPEDITEE_OS=windows
    fi
fi
export EXPEDITEE_OS


if [ -z "$exp_lang" ]; then
    exp_lang=en
fi

PROGNAME="Expeditee"
PROGFULLNAME=$PROGNAME


##  ---- Determine JAVA_HOME ----
# JRE_HOME or JAVA_HOME must be set correctly to run this program
#CLASSPATH
# if setting classpath, see gs2-server.sh, then export it

## ---- Check Java ----
# call the script with source, so that we have the variables it sets ($javapath)
exit_status=0
source bin/findjava.sh "$exp_lang" "$PROGNAME"
exit_status=$?
if [ "$exit_status" -eq 1 ]; then
	exit 1;
fi
export PATH=$javahome/bin:$PATH

# -Xdock:name      To set the name of the app in the MacOS Dock bar
# -Xdock:icon      Path to the MacOS Doc icon (not necessary for GS)    
custom_vm_args=""
if [ "$EXPEDITEE_OS" = "darwin" ]; then
	custom_vm_args="-Xdock:name=$PROGFULLNAME"
fi

#-Xmx128M -classpath <classpath>...

"$javapath" $custom_vm_args -jar Expeditee.jar $*

# silent mode: when launched in the background (with & at end), need to 
# redirect any STDERR (STDOUT) output to /dev/null first, else output will hog the x-term.
#"$javapath" $custom_vm_args org.greenstone.server.Server2 "$GSDLHOME" "$GSDLOS$GSDLARCH" "$serverlang" $* > /dev/null &